<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Datatable</title>
    <link rel="stylesheet" href="./style.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.1/css/all.min.css"
        integrity="sha512-MV7K8+y+gLIBoVD59lQIYicR65iaqukzvf/nwasF0nqhPay5w/9lJmVM2hMDcnK1OnMGCdVK+iQrJ7lzPJQd1w=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
</head>

<body>
    <div class="table__action">
        <div class="table__action__show">
            <span>Show</span>
            <select name="items" id="table__items" onchange="selectOption(this);">
                <option value="10">10</option>
                <option value="25">25</option>
                <option value="50">50</option>
                <option value="100">100</option>
            </select>
            <span>entries</span>

        </div>
        <div class="table__action__search">
            <span>Search: </span>
            <input type="text">
        </div>
    </div>

    <div class="table">
        <table id="users">
            <thead>
                <tr>
                    <th>
                        Name
                        <div class="th__sort">
                            <div onclick="sortByProperty(this,true,0);">
                                <i class="fa-solid fa-sort-up"></i>
                            </div>
                            <div onclick="sortByProperty(this,false,0);">
                                <i class="fa-solid fa-sort-down"></i>
                            </div>
                        </div>
                    </th>
                    <th>
                        Position
                        <div class="th__sort">
                            <div onclick="sortByProperty(this,true,1);">
                                <i class="fa-solid fa-sort-up"></i>
                            </div>
                            <div onclick="sortByProperty(this,false,1);">
                                <i class="fa-solid fa-sort-down"></i>
                            </div>
                        </div>
                    </th>
                    <th>
                        Office
                        <div class="th__sort">
                            <div onclick="sortByProperty(this,true,2);">
                                <i class="fa-solid fa-sort-up"></i>
                            </div>
                            <div onclick="sortByProperty(this,false,2);">
                                <i class="fa-solid fa-sort-down"></i>
                            </div>
                        </div>
                    </th>
                    <th>
                        Extn.
                        <div class="th__sort">
                            <div onclick="sortByProperty(this,true,3);">
                                <i class="fa-solid fa-sort-up"></i>
                            </div>
                            <div onclick="sortByProperty(this,false,3);">
                                <i class="fa-solid fa-sort-down"></i>
                            </div>
                        </div>
                    </th>
                    <th>
                        Start date
                        <div class="th__sort">
                            <div onclick="sortByProperty(this,true,4);">
                                <i class="fa-solid fa-sort-up"></i>
                            </div onclick="sortByProperty(this,false,4);">
                            <div>
                                <i class="fa-solid fa-sort-down"></i>
                            </div>
                        </div>
                    </th>
                    <th>
                        Salary
                        <div class="th__sort">
                            <div onclick="sortByProperty(this,true,5);">
                                <i class="fa-solid fa-sort-up"></i>
                            </div>
                            <div onclick="sortByProperty(this,false,5);">
                                <i class="fa-solid fa-sort-down"></i>
                            </div>
                        </div>
                    </th>
                </tr>
            </thead>
            <tbody class="users_list">

            </tbody>
        </table>
    </div>

    <div class="page">
        <p class="page__text">
        </p>

        <div class="pagination">
            <button class="page__prev" type="button" href="#" onclick="plusPage(-1);">Previous</button>
            <div style="display: inline-block;" class="page__list">
            </div>
            <button class="page__next" href="#" onclick="plusPage(1);">Next</button>
        </div>


    </div>
    <script src="./js/data.js"></script>
    <script src="./js/main.js"></script>
</body>

</html>